<tool id="Histogram" name="Histogram" version="1.0.1">
  <description> </description>
  <requirements>
    <requirement type="package" version="2.11.0">R</requirement>
  </requirements>
  <command interpreter="bash">r_wrapper.sh $script_file</command>

  <inputs>
    <param name="input" type="data" format="tabular" label="Dataset"/>
    <param name="xcol" type="data_column" data_ref="input" label="Column for x axis" numerical="true"  multiple="False" use_header_names="true" force_select="true" />
    <param name="main" type="text" value="Histogram" label="Plot Title"/>
    <param name="xlab" type="text" value="X" label="Label for x axis"/>
    <param name="ylab" type="text" value="Frequency" label="Label for y axis"/>
    <param name="breaks" type="integer" label="Numbers of bins" value="10"/>
    <param name="col" type="select" label="Bar Color">
      <option value="1">Black</option>
      <option value="2">Red</option>
      <option value="3">Green</option>
      <option value="4">Blue</option>
      <option value="5">Cyan</option>
      <option value="6">Magenta</option>
      <option value="7">Yellow</option>
      <option value="8">Gray</option>
    </param>
  </inputs>

  <configfiles>
    <configfile name="script_file">
      ## Setup R error handling to go to stderr
      options( show.error.messages=F,
               error = function () { cat( geterrmessage(), file=stderr() ); q( "no", 1, F ) } )
        s = read.table( "${input.file_name}",h=T,sep="\t",strip.white=T)
      ## Open output PDF file
      pdf( "${histo_plot}" )
      ## Histogram for axis / labels
      hist(s[,${xcol}], breaks=${breaks},col=${col},main="${main}", xlab="${xlab}", ylab="${ylab}")
      ## Close the PDF file
      devname = dev.off()
    </configfile>
  </configfiles>

  <outputs>
    <data format="pdf" name="histo_plot" label="histogram on ${input.name}(${xcol})" />
  </outputs>

    <tests>
        <test>

        </test>
    </tests>
<help>
.. class:: warningmark

**TIP:** If your data is not TAB delimited, use *Convert format data Tools-&gt;Convert*

.. class:: warningmark

**TIP:** If the graph don't display when you click on eye button, click on view details button and retry click on eye button.

.. class:: infomark

**Authors** Fabien Gogé (IRSTEA), Virginie Rossard (INRA), Eric Latrille (INRA), Jean-Michel Roger (IRSTEA), Jean-Claude Boulet (INRA)



---------------------------------------------------

=========
HISTOGRAM
=========

-----------
Description
-----------


Create a histogram

-----------
Input files
-----------

Matrix of numeric data with headers (tabular format) and decimal separator ".".


+--------+-------+--------+
| Name   | Carbon| etc    |
+========+=======+========+
|M102T645| 2.10  | etc    |
+--------+-------+--------+
|M105T604| 50.4  | etc    |
+--------+-------+--------+

----------
Parameters
----------
**Column for x axis**

Choice of column name(s) to plot histogram

**Numbers of bins**

**Bar Color**


------------
Output files
------------

**histogram on input.filename**:a file .pdf

.. image:: ./static/images/chemflow/histo_tool_example.png
         :height: 250
         :width: 300

</help>
</tool>
